# Juniper BGP Peer [(Download the MKP package)](/../../../-/raw/master/juniper_bgp_peer.mkp "Download MKP package")

Monitors status of Juniper BGP peers (IPv4 and IPv6)

THX to Jeff Fern (jeff[dash]cmk[at]fcse[dot]co[dot]uk) for testing and providing feedback to make this addon happen.

**Note**: this plugin will supersede the original `juniper_bgp_status` plugin.

---
### Insallation

In addition to this package you need to install the vendor independent plugin [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer") as well. 

---
### Check Info:

* *service*: this check creates one service for each peer/address family/routing instance  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")
* *state*: [see bgp_peer states](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")

* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/master/doc/wato.png?raw=true "BGP Peer WATO options")
   
* *perfdata (if avilable)*: 
    * Prefixes in (count)
    * Prefixes in accepted (count)
    * Prefixes in rejected (count)
    * Prefixes in active (count)
    * Prefixes out (count)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages received (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)
---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

